GDCM: gdcm::Orientation Class Reference

GDCM 3.2.10

Public Types | Public Member Functions | Static Public Member Functions | Static Protected Member Functions | Friends | List of all members
gdcm::Orientation Class Reference

class to handle Orientation More...

`#include <gdcmOrientation.h>`

## Public Types
enum | OrientationType { UNKNOWN , AXIAL , CORONAL , SAGITTAL , OBLIQUE }

## Public Member Functions
| Orientation ()
| ~Orientation ()=default
void | Print (std::ostream &) const
| Print.

## Static Public Member Functions
static const char * | GetLabel (OrientationType type)
| Return the label of an Orientation.
static double | GetObliquityThresholdCosineValue ()
static OrientationType | GetType (const double dircos[6])
static void | SetObliquityThresholdCosineValue (double val)
| ObliquityThresholdCosineValue stuff.

## Static Protected Member Functions
static char | GetMajorAxisFromPatientRelativeDirectionCosine (double x, double y, double z)

## Friends
std::ostream & | operator<< (std::ostream &_os, const Orientation &o)

## Detailed Description

class to handle Orientation

## Member Enumeration Documentation

## ◆ OrientationType

enum gdcm::Orientation::OrientationType

Enumerator
UNKNOWN |
AXIAL |
CORONAL |
SAGITTAL |
OBLIQUE |

Examples
  FixOrientation.cxx.

## Constructor & Destructor Documentation

## ◆ Orientation()

gdcm::Orientation::Orientation | ( |  | ) |

Referenced by operator<<.

## ◆ ~Orientation()

gdcm::Orientation::~Orientation | ( |  | ) |
| default

## Member Function Documentation

## ◆ GetLabel()

const char * gdcm::Orientation::GetLabel | ( | OrientationType | type | ) |
| static

Return the label of an Orientation.

Examples
  FixOrientation.cxx.

## ◆ GetMajorAxisFromPatientRelativeDirectionCosine()

char gdcm::Orientation::GetMajorAxisFromPatientRelativeDirectionCosine | ( | double | x,
|  | double | y,
|  | double | z )
| staticprotected

## ◆ GetObliquityThresholdCosineValue()

double gdcm::Orientation::GetObliquityThresholdCosineValue | ( |  | ) |
| static

## ◆ GetType()

OrientationType gdcm::Orientation::GetType | ( | const double | dircos[6] | ) |
| static

Return the type of orientation from a direction cosines Input is an array of 6 double

Examples
  FixOrientation.cxx.

## ◆ Print()

void gdcm::Orientation::Print | ( | std::ostream & |  | ) | const

Print.

Referenced by operator<<.

## ◆ SetObliquityThresholdCosineValue()

void gdcm::Orientation::SetObliquityThresholdCosineValue | ( | double | val | ) |
| static

ObliquityThresholdCosineValue stuff.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | _os,
|  | const Orientation & | o )
| friend

References Orientation(), and Print().

The documentation for this class was generated from the following file:

- gdcmOrientation.h